------------------------------------------------------------------------------------
--Name：            210119[简体征服][活动脚本]WhiteDay活动
--Creator:      戴鑫海
--Created:     2021-01-19
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>115


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(193,81)
local General1 = CppScriptMgr:AddSimplePlayer(21406,189,83, "[AliceinWonderland]Bunny");
local General2 = CppScriptMgr:AddSimplePlayer(21400,192,80, "[AliceinWonderland]Bunny");
local General3 = CppScriptMgr:AddSimplePlayer(21402,195,83, "[AliceinWonderland]Bunny");
CppScriptMgr:WaitMilSec(1000)
General1:Say("I had the most cookies!",1500)
CppScriptMgr:WaitMilSec(1000)
General2:Say("I had the most!",1500)
CppScriptMgr:WaitMilSec(1000)
General3:Say("I had the most!",1500)
CppScriptMgr:WaitMilSec(1000)
General1:Say("Eat up all cookies!",1500)
CppScriptMgr:WaitMilSec(1000)
General2:Say("Cookies!",1500)
CppScriptMgr:WaitMilSec(1000)
General3:Say("Eat!",1500)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetViewPosByCell(190,194)
local General4 = CppScriptMgr:AddSimplePlayer(21410,190,190, "[AliceinWonderland]Mr.Bear");
local General5 = CppScriptMgr:AddSimplePlayer(1051082,194,196, "[AliceinWonderland]HatMerchant");
local General6 = CppScriptMgr:AddSimplePlayer(19626,187,194, "[AliceinWonderland]MarchHare");
CppScriptMgr:WaitMilSec(1000)
General5:Say("Ladies and gentlemen, our tea party will go better if you can keep quiet.",2000)
CppScriptMgr:WaitMilSec(2000)
General4:Say("I don`t understand why Red Queen is angry every day.",2000)
CppScriptMgr:WaitMilSec(2000)
General6:Say("Where is Alice? Why didn`t she come to the tea party?",2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetViewPosByCell(294,259)
local General8 = CppScriptMgr:AddSimplePlayer(36530,294,259, "[AliceinWonderland]RedQueen");
CppScriptMgr:WaitMilSec(2000)
General8:Say("Why all white roses? Idiots! You are all idiots!",2000)
CppScriptMgr:WaitMilSec(2000)
local hero = CppScriptMgr:QueryHero()

hero:SetPos(122,197)
hero:SetDir(4)
local sex = hero:GetSex()
local touxiang = "NPCBust_npc27064"
if sex == 2 then 
	touxiang = "NPCBust_npc185"
end
CppScriptMgr:NpcCallOut("Alice must be lost in the wonderland. I haven`t seen her for a while.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)